#### basic_socket_iostream::expires_after

Set the stream's expiry time relative to now.

    void expires_after(
        const duration & expiry_time);

This function sets the expiry time associated with the stream. Stream operations performed after this time (where the operations cannot be completed using the internal buffers) will fail with the error `asio::error::operation_aborted`.

###### Parameters

expiry_time

  The expiry time to be used for the timer.